org.eclipse.net4j.util.om.pref

## Interface OMPreferences

- All Superinterfaces:
    INotifier

      public interface OMPreferences
      extends INotifier

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `DEFAULT_ARRAY`
    `static boolean` | `DEFAULT_BOOLEAN`
    `static byte[]` | `DEFAULT_BYTES`
    `static double` | `DEFAULT_DOUBLE`
    `static float` | `DEFAULT_FLOAT`
    `static int` | `DEFAULT_INTEGER`
    `static long` | `DEFAULT_LONG`
    `static String` | `DEFAULT_STRING`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(String name)`
    `OMPreference<?>` | `get(String name)`
    `OMPreference<String[]>` | `getArray(String name)`
    `OMPreference<Boolean>` | `getBoolean(String name)`
    `OMBundle` | `getBundle()`
    `OMPreference<byte[]>` | `getBytes(String name)`
    `OMPreference<Double>` | `getDouble(String name)`
    `OMPreference<Float>` | `getFloat(String name)`
    `OMPreference<Integer>` | `getInteger(String name)`
    `OMPreference<Long>` | `getLong(String name)`
    `OMPreference<String>` | `getString(String name)`
    `OMPreference<Boolean>` | `init(String name, boolean defaultValue)`
    `OMPreference<byte[]>` | `init(String name, byte[] defaultValue)`
    `OMPreference<Double>` | `init(String name, double defaultValue)`
    `OMPreference<Float>` | `init(String name, float defaultValue)`
    `OMPreference<Integer>` | `init(String name, int defaultValue)`
    `OMPreference<Long>` | `init(String name, long defaultValue)`
    `OMPreference<String>` | `init(String name, String defaultValue)`
    `OMPreference<String[]>` | `init(String name, String[] defaultValue)`
    `OMPreference<String[]>` | `initArray(String name)`
    `OMPreference<Boolean>` | `initBoolean(String name)`
    `OMPreference<byte[]>` | `initBytes(String name)`
    `OMPreference<Double>` | `initDouble(String name)`
    `OMPreference<Float>` | `initFloat(String name)`
    `OMPreference<Integer>` | `initInteger(String name)`
    `OMPreference<Long>` | `initLong(String name)`
    `OMPreference<String>` | `initString(String name)`
    `boolean` | `isDirty()`
    `void` | `save()`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### DEFAULT_BOOLEAN

          static final boolean DEFAULT_BOOLEAN

      See Also:
        Constant Field Values

    - #### DEFAULT_INTEGER

          static final int DEFAULT_INTEGER

      See Also:
        Constant Field Values

    - #### DEFAULT_LONG

          static final long DEFAULT_LONG

      See Also:
        Constant Field Values

    - #### DEFAULT_FLOAT

          static final float DEFAULT_FLOAT

      See Also:
        Constant Field Values

    - #### DEFAULT_DOUBLE

          static final double DEFAULT_DOUBLE

      See Also:
        Constant Field Values

    - #### DEFAULT_STRING

          static final String DEFAULT_STRING

      See Also:
        Constant Field Values

    - #### DEFAULT_ARRAY

          static final String[] DEFAULT_ARRAY

    - #### DEFAULT_BYTES

          static final byte[] DEFAULT_BYTES

  - ### Method Detail

    - #### getBundle

          OMBundle getBundle()

    - #### isDirty

          boolean isDirty()

    - #### save

          void save()

    - #### init

          OMPreference<Boolean> init(String name,
                                     boolean defaultValue)

    - #### init

          OMPreference<Integer> init(String name,
                                     int defaultValue)

    - #### init

          OMPreference<Long> init(String name,
                                  long defaultValue)

    - #### init

          OMPreference<Float> init(String name,
                                   float defaultValue)

    - #### init

          OMPreference<Double> init(String name,
                                    double defaultValue)

    - #### init

          OMPreference<String> init(String name,
                                    String defaultValue)

    - #### init

          OMPreference<String[]> init(String name,
                                      String[] defaultValue)

    - #### init

          OMPreference<byte[]> init(String name,
                                    byte[] defaultValue)

    - #### initBoolean

          OMPreference<Boolean> initBoolean(String name)

    - #### initInteger

          OMPreference<Integer> initInteger(String name)

    - #### initLong

          OMPreference<Long> initLong(String name)

    - #### initFloat

          OMPreference<Float> initFloat(String name)

    - #### initDouble

          OMPreference<Double> initDouble(String name)

    - #### initString

          OMPreference<String> initString(String name)

    - #### initArray

          OMPreference<String[]> initArray(String name)

    - #### initBytes

          OMPreference<byte[]> initBytes(String name)

    - #### contains

          boolean contains(String name)

    - #### get

          OMPreference<?> get(String name)

    - #### getBoolean

          OMPreference<Boolean> getBoolean(String name)

    - #### getInteger

          OMPreference<Integer> getInteger(String name)

    - #### getLong

          OMPreference<Long> getLong(String name)

    - #### getFloat

          OMPreference<Float> getFloat(String name)

    - #### getDouble

          OMPreference<Double> getDouble(String name)

    - #### getString

          OMPreference<String> getString(String name)

    - #### getArray

          OMPreference<String[]> getArray(String name)

    - #### getBytes

          OMPreference<byte[]> getBytes(String name)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html